import { Responses, get_token, post_token } from '@/api/base';

export const get_user_info = (
	token: string
): Promise<Responses.User.UserInfoResponse | Responses.ErrorResponse> =>
	get_token('/api/user/info', token);

export const delete_user = (
	token: string
): Promise<Responses.User.DeleteUserResponse | Responses.ErrorResponse> =>
	post_token('/api/user/delete', {}, token);
